Subject: Re: [bug#37121] [PATCH 00/40] Update Xfce to 4.14

From: L p R n d n <[email-masked]>
Date: Wed, 28 Aug 2019 22:43:15 +0200

Hello,

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> L  p R n  d n    <[email-masked]> skribis:
>
>> Here is my take on updating xfce to 4.14.
>
> Woow, thanks for all the work!
>
>> The update switches Xfce to gtk-3 but gtk-2 compatibility is kept.
>> Also there a few changes to add or clarify some features like vala API
>> or gobject introspection.
>> Testing is welcome.
>
> So, I hope you won’t hate me for asking, but… can we separate the bits
> that are really part of the Xfce upgrade or required by the upgrade,
> from those that are not directly related?  The libxklavier, mousepad,
> and “fix tests” changes come to mind.  That would make the review work
> less intimidating.  :-)
>
> Also, I suspect all the xfce* and libxf* packages need to be upgraded in
> lockstep; that is, they all need to be either 4.14 or 4.12, but not a
> mixture thereof.  Thus, I’d actually prefer a single commit upgrading
> all of these.  WDYT?
>
> There are probably exceptions such as Thunar that do not strictly need
> to be upgraded at the same time; these can remain in a separate commit.

No problem. It's more git training!
I'll make a single commit for all xfce4-core packages and leave the rest
sepearate. Is it ok?
Also, do you need me to send them at this bug report or a new one?
(sorry, the previous patches seem to be scrambled, I don't know why... :/)

> Thanks,
> Ludo’.

Have a nice day,

L  p R n  d n